PETSc version 3.15.5
Fix/Edit manual page

# TSAdaptSetScaleSolveFailed

Scale step by this factor if solve fails

### Synopsis

    #include "petscts.h"
    PetscErrorCode TSAdaptSetScaleSolveFailed(TSAdapt adapt,PetscReal scale)

Logically collective on TSAdapt

### Input Arguments

| adapt | - adaptive controller context
| scale | - scale

### Options Database Keys

| -ts_adapt_scale_solve_failed <scale> | - to set scale step by this factor if solve fails

### See Also

TSAdaptChoose(), TSAdaptGetScaleSolveFailed(), TSAdaptGetClip()

### Level

intermediate

### Location

src/ts/adapt/interface/tsadapt.c
Index of all TS routines
Table of Contents for all manual pages
Index of all manual pages